use utf8;
+{

default  => [qw( brahmi western sign eastern )],

eastern  => [qw( hant hans suzhou rod )],
western  => [qw( arabindi arabpers rumi ethi copt egyp xsux latnlat latn maya teng tlh osma brai )],
brahmi   => [qw(
	khmr java bali sund talu lana lanahora laoo mlym taml cham kali mymr cakm
	thai knda telu tibt lepc beng olck saur orya guru gujr deva brahnumb brah
)],
sign     => [qw( suttus suttbe suttnl )],

hant     => {list => [qw{ >- 壹 貳 參 肆 伍 陸 柒 捌 玖 零 }]},
hans     => {list => [qw{ 〇 一 二 三 四 五 六 七 八 九 十 }]},
suzhou   => {list => [qw{ >- 〡 〢 〣 〤 〥 〦 〧 〨 〩 〸 }], title => 'Suzhou'},
rod      => {list => [qw{ 〇 𝍩 𝍪 𝍫 𝍬 𝍭 𝍮 𝍯 𝍰 𝍱 𝍠 }]},
ethi     => {list => [qw{>- ፩ ፪ ፫ ፬ ፭ ፮ ፯ ፰ ፱ ፲ }]},
arabindi => {list => [qw{ ٠ ١ ٢ ٣ ٤ ٥ ٦ ٧ ٨ ٩ }], title => 'Arabic (Eastern)'},
arabpers => {list => [qw{ ۰ ۱ ۲ ۳ ۴ ۵ ۶ ۷ ۸ ۹ }], title => 'Arabic (Persian)'},

khmr     => {list => [qw{ ០ ១ ២ ៣ ៤ ៥ ៦ ៧ ៨ ៩ }]},
java     => {list => [qw{ ꧐ ꧑ ꧒ ꧓ ꧔ ꧕ ꧖ ꧗ ꧘ ꧙ }]},
bali     => {list => [qw{ ᭐ ᭑ ᭒ ᭓ ᭔ ᭕ ᭖ ᭗ ᭘ ᭙ }]},
sund     => {list => [qw{ ᮰ ᮱ ᮲ ᮳ ᮴ ᮵ ᮶ ᮷ ᮸ ᮹ }]},
talu     => {list => [qw{ ᧐ ᧑ ᧒ ᧓ ᧔ ᧕ ᧖ ᧗ ᧘ ᧙ }]},
lana     => {list => [qw{ ᪐ ᪑ ᪒ ᪓ ᪔ ᪕ ᪖ ᪗ ᪘ ᪙ }]},
lanahora => {list => [qw{ ᪀ ᪁ ᪂ ᪃ ᪄ ᪅ ᪆ ᪇ ᪈ ᪉ }], title => 'Tai Tham Hora'},
laoo     => {list => [qw{ ໐ ໑ ໒ ໓ ໔ ໕ ໖ ໗ ໘ ໙ }]},
mlym     => {list => [qw{ ൦ ൧ ൨ ൩ ൪ ൫ ൬ ൭ ൮ ൯ }]},
taml     => {list => [qw{>- ௧ ௨ ௩ ௪ ௫ ௬ ௭ ௮ ௯ }]},
cham     => {list => [qw{ ꩐ ꩑ ꩒ ꩓ ꩔ ꩕ ꩖ ꩗ ꩘ ꩙ }]},
kali     => {list => [qw{ ꤀ ꤁ ꤂ ꤃ ꤄ ꤅ ꤆ ꤇ ꤈ ꤉ }]},
mymr     => {list => [qw{ ၀ ၁ ၂ ၃ ၄ ၅ ၆ ၇ ၈ ၉ }]},
cakm     => {list => [qw{ 𑄶 𑄷 𑄸 𑄹 𑄺 𑄻 𑄼 𑄽 𑄾 𑄿 }]},
thai     => {list => [qw{ ๐ ๑ ๒ ๓ ๔ ๕ ๖ ๗ ๘ ๙ }]},
knda     => {list => [qw{ ೦ ೧ ೨ ೩ ೪ ೫ ೬ ೭ ೮ ೯ }]},
telu     => {list => [qw{ ౦ ౧ ౨ ౩ ౪ ౫ ౬ ౭ ౮ ౯ }]},
tibt     => {list => [qw{ ༠ ༡ ༢ ༣ ༤ ༥ ༦ ༧ ༨ ༩ }]},
lepc     => {list => [qw{ ᱀ ᱁ ᱂ ᱃ ᱄ ᱅ ᱆ ᱇ ᱈ ᱉ }]},
beng     => {list => [qw{ ০ ১ ২ ৩ ৪ ৫ ৬ ৭ ৮ ৯ }]},
olck     => {list => [qw{ ᱐ ᱑ ᱒ ᱓ ᱔ ᱕ ᱖ ᱗ ᱘ ᱙ }]},
saur     => {list => [qw{ ꣐ ꣑ ꣒ ꣓ ꣔ ꣕ ꣖ ꣗ ꣘ ꣙ }]},
orya     => {list => [qw{ ୦ ୧ ୨ ୩ ୪ ୫ ୬ ୭ ୮ ୯ }]},
guru     => {list => [qw{ ੦ ੧ ੨ ੩ ੪ ੫ ੬ ੭ ੮ ੯ }]},
gujr     => {list => [qw{ ૦ ૧ ૨ ૩ ૪ ૫ ૬ ૭ ૮ ૯ }]},
deva     => {list => [qw{ ० १ २ ३ ४ ५ ६ ७ ८ ९ }]},
brahnumb => {list => [qw{>- 𑁒 𑁓 𑁔 𑁕 𑁖 𑁗 𑁘 𑁙 𑁚 𑁛 }], title => 'Brahmi numbers'},
brah     => {list => [qw{ 𑁦 𑁧 𑁨 𑁩 𑁪 𑁫 𑁬 𑁭 𑁮 𑁯 }], title => 'Brahmi digits'},

egyp     => {list => [qw{>- 𓏺 𓏻 𓏼 𓏽 𓏾 𓏿 𓐀 𓐁 𓐂 𓎆 }]},
copt     => {list => [qw{>- 𐋡 𐋢 𐋣 𐋤 𐋥 𐋦 𐋧 𐋨 𐋩 𐋪 }]},
rumi     => {list => [qw{>- 𐹠 𐹡 𐹢 𐹣 𐹤 𐹥 𐹦 𐹧 𐹨 𐹩 }], title => 'Rumi numbers'},
latn     => {list => [qw{ 0 1 2 3 4 5 6 7 8 9 }], title => 'Arabic (Western)'},
latnlat  => {list => [qw{>- Ⅰ Ⅱ Ⅲ Ⅳ Ⅴ Ⅵ Ⅶ Ⅷ Ⅸ Ⅹ }], title => 'Roman'},
xsux     => {list => [qw{>- 𒐕 𒐖 𒐗 𒐼 𒐊 𒐋 𒑂 𒑄 𒑆 𒌋 }]},
maya     => {list => [qw{ 𕔀 𕔁 𕔂 𕔃 𕔄 𕔅 𕔆 𕔇 𕔈 𕔉 𕔊 }]},
teng     => {list => [qw{            }]},
tlh      => {list => [qw{            }]},
osma     => {list => [qw{ 𐒠 𐒡 𐒢 𐒣 𐒤 𐒥 𐒦 𐒧 𐒨 𐒩 }]},
brai     => {list => [qw{ ⠚ ⠁ ⠃ ⠉ ⠙ ⠑ ⠋ ⠛ ⠓ ⠊ }], title => 'Braille_[⠼+]'},

suttbe => {
	title => 'VGT',
	list => [map { pack 'W*', map { hex "1D$_" } unpack '(A3)*' } qw{
		876a9b 800 80E 81E 844 84C
		96Aaa28F5aa1 96Aaa28DCaa1 96Aaa281Eaa1 844aa492Faa4 921aa48EFa9c
	}],
},
suttnl => {
	title => 'NGT',
	list => [map { pack 'W*', map { hex "1D$_" } unpack '(A3)*' } qw{
		876a9b 800 80E 886 844 84C
		8F5aa1 8DCaa1 81Eaa1 88Eaa1 84Ca9c
	}],
},
suttus => {
	title => 'ASL',
	list => [map { pack 'W*', map { hex "1D$_" } unpack '(A3)*' } qw{
		876a9b 800 80E 81E 844 84C
		887a9c 8A5a9c 8BBa9c 8CEa9c 9A58F5aa2
	}],
},

};
